summaryrefslogtreecommitdiff
path: root/packages/taler-harness/create_merchantAndBankAccount_pdf.sh
diff options
context:
space:
mode:
Diffstat (limited to 'packages/taler-harness/create_merchantAndBankAccount_pdf.sh')
-rw-r--r--packages/taler-harness/create_merchantAndBankAccount_pdf.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/packages/taler-harness/create_merchantAndBankAccount_pdf.sh b/packages/taler-harness/create_merchantAndBankAccount_pdf.sh
new file mode 100644
index 000000000..4593cc9a0
--- /dev/null
+++ b/packages/taler-harness/create_merchantAndBankAccount_pdf.sh
@@ -0,0 +1,23 @@
+DATA=$(mktemp)
+set -e
+
+[ -z "$1" ] && echo First parameter must be the json file result from \'taler-harness deployment provision-bank-and-merchant\'. Alternative \'-\' can be used if the file is provided from stdin. && exit 1
+
+cat $1 > $DATA
+
+[ -z "$(jq -r '.bankUser//empty' $DATA)" ] && echo the json file is not complete: missing bankUser && exit 1
+[ -z "$(jq -r '.bankURL//empty' $DATA)" ] && echo the json file is not complete: missing bankURL && exit 1
+[ -z "$(jq -r '.merchantURL//empty' $DATA)" ] && echo the json file is not complete: missing merchantURL && exit 1
+[ -z "$(jq -r '.templateURI//empty' $DATA)" ] && echo the json file is not complete: missing templateURI && exit 1
+[ -z "$(jq -r '.password//empty' $DATA)" ] && echo the json file is not complete: missing password && exit 1
+
+add_qr_image(){
+ jq -r $1 $DATA | qrencode -l Q -m 2 -s 5 -o - | base64 -w 0 | jq -Rn '{"'$2'":inputs}' | jq -s add - $DATA | sponge $DATA
+}
+
+add_qr_image .templateURI templateQR
+add_qr_image .bankURL bankQR
+add_qr_image .merchantURL merchantQR
+
+chevron pdf-template.html -d $DATA | wkhtmltopdf - out.pdf
+